unit Sdimain;

interface

uses Windows, Classes, Graphics, Forms, Controls, Menus,
  Dialogs, StdCtrls, Buttons, ExtCtrls, ComCtrls, ImgList, StdActns,
  ActnList, ToolWin, SysUtils,

  // TMultiSaveIt Units
  CustSaveIt, AlmostSave, MultiSaveIt, GenericSave;

type
  TSDIAppForm = class(TForm)
    ToolBar1: TToolBar;
    ToolButton9: TToolButton;
    ToolButton1: TToolButton;
    ToolButton2: TToolButton;
    ToolButton3: TToolButton;
    ToolButton4: TToolButton;
    ToolButton5: TToolButton;
    ToolButton6: TToolButton;
    ActionList1: TActionList;
    FileNew1: TAction;
    FileOpen1: TAction;
    FileSave1: TAction;
    FileSaveAs1: TAction;
    FileExit1: TAction;
    EditCut1: TEditCut;
    EditCopy1: TEditCopy;
    EditPaste1: TEditPaste;
    HelpAbout1: TAction;
    StatusBar: TStatusBar;
    ImageList1: TImageList;
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    FileNewItem: TMenuItem;
    FileOpenItem: TMenuItem;
    FileSaveItem: TMenuItem;
    FileSaveAsItem: TMenuItem;
    N1: TMenuItem;
    FileExitItem: TMenuItem;
    Edit1: TMenuItem;
    CutItem: TMenuItem;
    CopyItem: TMenuItem;
    PasteItem: TMenuItem;
    Help1: TMenuItem;
    HelpAboutItem: TMenuItem;
    Memo1: TMemo;
    MultiSaveIt1: TMultiSaveIt;
    MultiSaveItType1: TMultiSaveItType;
    procedure FileNew1Execute(Sender: TObject);
    procedure FileExit1Execute(Sender: TObject);
    procedure HelpAbout1Execute(Sender: TObject);
    procedure FileOpen1Execute(Sender: TObject);
    procedure FileSave1Execute(Sender: TObject);
    procedure FileSaveAs1Execute(Sender: TObject);
    procedure Memo1Change(Sender: TObject);
    procedure MultiSaveItType1DataCheck(Sender: TObject;
      var Has_Data: Boolean);
    procedure MultiSaveItType1DataLoad(Sender: TObject; FileName: String;
      var Success: Boolean);
    procedure MultiSaveItType1DataSave(Sender: TObject; FileName: String;
      var Success: Boolean);
    procedure MultiSaveItType1FileNew(Sender: TObject;
      var Success: Boolean);
    procedure MultiSaveIt1AllowSave(Sender: TObject; Allowed: Boolean);
    procedure MultiSaveIt1AllowSaveAs(Sender: TObject; Allowed: Boolean);
    procedure MultiSaveItType1FileLoaded(Sender: TObject);
    procedure MultiSaveItType1FileSaved(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  SDIAppForm: TSDIAppForm;

implementation

uses About;

{$R *.DFM}

procedure TSDIAppForm.FileNew1Execute(Sender: TObject);
begin
  MultiSaveIt1.New;
end;

procedure TSDIAppForm.FileExit1Execute(Sender: TObject);
begin
  Close;
end;

procedure TSDIAppForm.HelpAbout1Execute(Sender: TObject);
begin
  AboutBox.ShowModal;
end;

procedure TSDIAppForm.FileOpen1Execute(Sender: TObject);
begin
  MultiSaveIt1.Open;
end;

procedure TSDIAppForm.FileSave1Execute(Sender: TObject);
begin
  MultiSaveIt1.Save;
end;

procedure TSDIAppForm.FileSaveAs1Execute(Sender: TObject);
begin
  MultiSaveIt1.SaveAs;
end;

procedure TSDIAppForm.Memo1Change(Sender: TObject);
begin
  MultiSaveItType1.Modified;
end;

procedure TSDIAppForm.MultiSaveItType1DataCheck(Sender: TObject;
  var Has_Data: Boolean);
begin
  Has_Data := Length(Trim(Memo1.Text)) > 0;
end;

procedure TSDIAppForm.MultiSaveItType1DataLoad(Sender: TObject;
  FileName: String; var Success: Boolean);
begin
  Memo1.Lines.LoadFromFile(FileName);
end;

procedure TSDIAppForm.MultiSaveItType1DataSave(Sender: TObject;
  FileName: String; var Success: Boolean);
begin
  Memo1.Lines.SaveToFile(FileName);
end;

procedure TSDIAppForm.MultiSaveItType1FileNew(Sender: TObject;
  var Success: Boolean);
begin
  Memo1.Lines.Clear;
end;

procedure TSDIAppForm.MultiSaveIt1AllowSave(Sender: TObject;
  Allowed: Boolean);
begin
  FileSave1.Enabled := Allowed;
end;

procedure TSDIAppForm.MultiSaveIt1AllowSaveAs(Sender: TObject;
  Allowed: Boolean);
begin
  FileSaveAs1.Enabled := Allowed;
end;

procedure TSDIAppForm.MultiSaveItType1FileLoaded(Sender: TObject);
begin
{------------------------------------------------------------------------------}
{ How to implement a MRU (Most Recently Used) File List.                       }
{------------------------------------------------------------------------------}
{ 1. First download a good MRU File List component. Brad Stower's free         }
{    TMRUFileList Component is highly recommended. Get it at:                  }
{    http://www.pobox.com/~bstowers/delphi/                                    }
{                                                                              }
{ 2. In that component's events somewhere put code that calls                  }
{    TMultiSaveIt.LoadFromFile to load a file when the user chooses it from    }
{    an MRU List.                                                              }
{                                                                              }
{ 3. Put a Call the MRU Component's method that will add the item to the list. }
{    The name of the file to add is TMultiChildSaveIt.CurrentFile              }
{                                                                              }
{ 4. Do the same thing as #3 in the OnFileSaved Event.                         }
{------------------------------------------------------------------------------}
end;

procedure TSDIAppForm.MultiSaveItType1FileSaved(Sender: TObject);
begin
{------------------------------------------------------------------------------}
{ How to implement a MRU (Most Recently Used) File List.                       }
{------------------------------------------------------------------------------}
{ 1. First download a good MRU File List component. Brad Stower's free         }
{    TMRUFileList Component is highly recommended. Get it at:                  }
{    http://www.pobox.com/~bstowers/delphi/                                    }
{                                                                              }
{ 2. In that component's events somewhere put code that calls                  }
{    TMultiSaveIt.LoadFromFile to load a file when the user chooses it from    }
{    an MRU List.                                                              }
{                                                                              }
{ 3. Put a Call the MRU Component's method that will add the item to the list. }
{    The name of the file to add is TMultiChildSaveIt.CurrentFile              }
{                                                                              }
{ 4. Do the same thing as #3 in the OnFileSaved Event.                         }
{------------------------------------------------------------------------------}
end;

end.
